## org.eclipse.emf.codegen.merge.java.facade.jdom
Class JDOMJInitializer

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
          org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJNode
              org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJMember
                  org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJInitializer

All Implemented Interfaces:
  JInitializer, JMember, JNode

    public class JDOMJInitializer

extends JDOMJMember
implements JInitializer

Since:
  2.2.0

Field Summary

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`EMPTY_STRING_ARRAY, qualifiedName`

Constructor Summary
`JDOMJInitializer(org.eclipse.jdt.core.jdom.IDOMInitializer initializer)`

Method Summary
`protected java.lang.String` `computeQualifiedName()`
`java.lang.String` `getBody()` Returns the body of this initializer.
`java.lang.String` `getComment()` Returns the comment associated with this member (including comment delimiters).
`java.lang.String` `getContents()` Returns the current contents of this document fragment.
`java.lang.String` `getName()` Returns the name of this node.
`protected org.eclipse.jdt.core.jdom.IDOMInitializer` `getWrappedObject()`
`void` `setBody(java.lang.String body)` Sets the body of this initializer.

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJMember
`getFlags, setComment, setFlags, splitLastComment`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJNode
`dispose, getChildren, getFacadeHelper, getParent, isDisposed, setFacadeHelper, setName`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`computeQualifiedName, computeQualifiedName, computeQualifiedName, getName, getQualifiedName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JMember
`setComment`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getFlags, getParent, getQualifiedName, setFlags, setName`

Constructor Detail

### JDOMJInitializer

    public JDOMJInitializer(org.eclipse.jdt.core.jdom.IDOMInitializer initializer)

Parameters:
  `initializer` -

Method Detail

### getWrappedObject

    protected org.eclipse.jdt.core.jdom.IDOMInitializer getWrappedObject()

  Overrides:
    `getWrappedObject` in class `JDOMJMember`

### getBody

    public java.lang.String getBody()

  Description copied from interface: `JInitializer`
  Returns the body of this initializer. The syntax for a body corresponds to InstanceInitializer (JLS2 8.6) and StaticDeclaration (JLS2 8.7).

  Specified by:
    `getBody` in interface `JInitializer`
  Returns:
    an initializer body, including braces, or `null` if no body is present

### setBody

    public void setBody(java.lang.String body)

  Description copied from interface: `JInitializer`
  Sets the body of this initializer. The syntax for a body corresponds to InstanceInitializer (JLS2 8.6) and StaticDeclaration (JLS2 8.7). No formatting or syntax checking is performed on the body. Braces must be included.

  Specified by:
    `setBody` in interface `JInitializer`
  Parameters:
    `body` - an initializer body, including braces, or `null` indicating no body

### getName

    public java.lang.String getName()

  Description copied from interface: `JNode`
  Returns the name of this node.

  Specified by:
    `getName` in interface `JNode`
  Overrides:
    `getName` in class `JDOMJNode`
  Returns:
    the name, or `null` if it has no name

### computeQualifiedName

    protected java.lang.String computeQualifiedName()

  Overrides:
    `computeQualifiedName` in class `AbstractJNode`

### getComment

    public java.lang.String getComment()

  Description copied from interface: `JMember`
  Returns the comment associated with this member (including comment delimiters).

  Specified by:
    `getComment` in interface `JMember`
  Overrides:
    `getComment` in class `JDOMJMember`
  Returns:
    the comment, or `null` if this member has no associated comment

### getContents

    public java.lang.String getContents()

  Description copied from interface: `JNode`
  Returns the current contents of this document fragment.

  Note: To obtain complete source for the ".java" file, ask a compilation unit node for its contents.

  Specified by:
    `getContents` in interface `JNode`
  Overrides:
    `getContents` in class `JDOMJMember`
  Returns:
    the contents, or `null` if this node has no contents

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.